maxOldVersion = 0.67;
if (version > maxOldVersion) {
	
	// *** The Piano by M.Judd ***
	
	key_up  = [];
	key_down  = [];
	note = [];
	noteletter = new Array("C","D","E","F","G","A","B","High_C");
	notesound = [];
	noteposition = [];
	Do_Stall = false;
	Stall_Count = 0;
	notesloaded = 0;
	for(var i = 1; i <= 8; i++) {		  
		key_up[i] = Model("./Note"+i+" Anchor");
		key_down[i] = Model("./Note"+i+" Down Anchor");
		note[i] = Model("./note.aer").add();
		notesound[i] = Sound("Note" + i +".mp3");
		notesound[i].volume = 1;
		note[i].transform = key_up[i].transform;
		noteposition[i] = "down";
	}
	temp = new Object; // set up onClick functions
	temp.timestep = function() {
		notesloaded = 0;
		for(var i = 1; i <= 8; i++) {
			if(note[i].Model) {
				notesloaded++;
			}
			if(notesloaded == 8) {
				for(var k = 1; k <= 8; k++) {
					noteletter[k] = note[k].Model("./Note");
					if (k==8) {
						noteletter[1].onClick = function(){Play_Note(1);}
						noteletter[2].onClick = function(){Play_Note(2);}
						noteletter[3].onClick = function(){Play_Note(3);}
						noteletter[4].onClick = function(){Play_Note(4);}
						noteletter[5].onClick = function(){Play_Note(5);}
						noteletter[6].onClick = function(){Play_Note(6);}
						noteletter[7].onClick = function(){Play_Note(7);}
						noteletter[8].onClick = function(){Play_Note(8);}
						removeAnimator(this);
					}
				}
			}
		}
	}
	addAnimator(temp);
	note.timestep = function() {
		for(var i = 1; i <= 8; i++) { //reset notes if (down)
			if (noteposition[i] == "down" && Do_Stall == false) {
				note[i].transform = key_up[i].transform;
				noteposition[i] = "up";
			}
		}
	}
	addAnimator(note);
	Play_Note = new Object;
	Play_Note = function(num) {
		notesound[num].play();
		note[num].transform = key_down[num].transform;
		noteposition[num] = "down";
		Do_Stall = true;
	}
	Stall = new Object();
	Stall.timestep = function(now) {
		if (Do_Stall == true) {
			if (Stall_Count == 12) {
				Stall_Count = 0;
				Do_Stall = false;													
			}
			Stall_Count++;
		}
	}
	addAnimator(Stall);

}
